Subject: Re: emacs may cause window manager to hang

From: Chong Yidong <[email-masked]>
Date: Thu, 01 Jan 2009 04:19:05 -0500

Unfortunately, judging by past bugs related to multi-screen setups, none
of the regular Emacs bug-fixers have multiple screens available for
reproducing such bugs.  I suggest running Emacs under gdb in an xterm,
and arranging things so that when focus gets stuck, that xterm is in
focus.  Assuming that's possible, do C-z to suspend the Emacs process,
and inspect the backtrace to see if anything suspicious is going on;
maybe Emacs is looping somewhere in its window-manager interaction code?